Page MenuHomePhabricator

Investigate the timeout of Wikibase browser tests after the change/fix in MediaWiki's DeferredUpdated
Closed, ResolvedPublic

Description

Fix to issue reported in T221577 https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/497537/ is claimed to cause Wikibase browser tests to fail: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/+/497443/

Things to investigate:

  • confirm the timeout in Wikibase browser tests was not one-time/unrelated situation
  • Pin down where/in what situation timeouts happen in Wikibase

Maximum time to spend on investigation: 8h

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : master[DNM] Noop
mediawiki/extensions/Wikibase : masterDisable CirrusSearch in browser tests

Event Timeline

Restricted Application edited projects, added Community-Tech; removed Patch-For-Review. · View Herald TranscriptMay 28 2019, 1:16 PM

Related discussions when that change got reverted due to those failures can be found on T218456

alaa_wmde added a comment.EditedMay 28 2019, 2:10 PM

A change that was added to test those failures in CI (which depends on unrelated change in core) can be found here https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/+/497443

alaa_wmde triaged this task as High priority.Jul 31 2019, 1:26 PM

This is still failing consistently and blocking a patch in core from being merged.

Ladsgroup claimed this task.Sep 2 2019, 4:13 PM

I will take a look. I can't promise anything though :(

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptSep 2 2019, 4:13 PM

Change 533956 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Disable CirrusSearch in browser tests

https://gerrit.wikimedia.org/r/533956

Change 533956 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Disable CirrusSearch in browser tests

https://gerrit.wikimedia.org/r/533956

Change 534196 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] [DNM] Noop

https://gerrit.wikimedia.org/r/534196

It seems my patch doesn't fix it (it seems, it fixed the flaky browser tests though). The interesting thing is that the ruby tests are failing only and we should rewrite them to use nodejs anyway.

The failing ones are https://integration.wikimedia.org/ci/job/mwselenium-quibble-docker/17483/console:

  • cucumber features/reference.feature:124 # Scenario: Add reference with multiple snaks
  • cucumber features/statements_time.feature:79 # Scenario: Adding a statement of type time
  • cucumber features/statements_time.feature:79 # Scenario: Adding a statement of type time

Looking at errors like this:

It seems the search can't find the recently created items.

Waiting on response to investigation results from above, in order to decide whether there's anything more to be do on WikibaseLexeme side.

Change 534196 abandoned by Ladsgroup:
[DNM] Noop

https://gerrit.wikimedia.org/r/534196

Addshore added a subscriber: Addshore.

Moving to iteration for Amir to confirm as fixed :)

Maintenance_bot moved this task from Incoming to In progress on the User-Ladsgroup board.

There's nothing we can do here, there has been a patch to fix the issue I mentioned that's merged this. That made the tests pass for wikibase. There's nothing for us.